Bug 48499 - [EFL] remove multiple definition with libcurl
Summary: [EFL] remove multiple definition with libcurl
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit EFL (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC OS X 10.5
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-27 21:18 PDT by Ryuan Choi
Modified: 2010-11-02 03:11 PDT (History)
7 users (show)

See Also:


Attachments
Patch (1.13 KB, patch)
2010-10-27 21:26 PDT, Ryuan Choi
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ryuan Choi 2010-10-27 21:18:28 PDT
../WebCore/libwebcore_efl.a(CookieJarCurl.cpp.o): In function `WebCore::setCookieStoragePrivateBrowsingEnabled(bool)':
CookieJarCurl.cpp:(.text+0xe70): multiple definition of `WebCore::setCookieStoragePrivateBrowsingEnabled(bool)'
../WebCore/libwebcore_efl.a(TemporaryLinkStubs.cpp.o):TemporaryLinkStubs.cpp:(.text+0x40): first defined here
collect2: ld returned 1 exit status

EFL port already have setCookieStoragePrivateBrowsingEnabled and curl also.
Comment 1 Ryuan Choi 2010-10-27 21:26:56 PDT
Created attachment 72136 [details]
Patch
Comment 2 Ryuan Choi 2010-10-29 07:12:07 PDT
dear bfulgham,

Could you help this?
In other ports, this method is implemented in each platform.
Comment 3 Daniel Bates 2010-11-01 22:17:45 PDT
Comment on attachment 72136 [details]
Patch

Looks sane.
r=me
Comment 4 WebKit Commit Bot 2010-11-02 03:10:43 PDT
The commit-queue encountered the following flaky tests while processing attachment 72136 [details]:

webarchive/test-link-rel-icon.html

Please file bugs against the tests.  These tests were authored by ddkilzer@webkit.org.  The commit-queue is continuing to process your patch.
Comment 5 WebKit Commit Bot 2010-11-02 03:11:46 PDT
Comment on attachment 72136 [details]
Patch

Clearing flags on attachment: 72136

Committed r71105: <http://trac.webkit.org/changeset/71105>
Comment 6 WebKit Commit Bot 2010-11-02 03:11:52 PDT
All reviewed patches have been landed.  Closing bug.